summaryrefslogtreecommitdiffstats
path: root/gis
diff options
context:
space:
mode:
author David Spencer2014-02-04 17:54:28 +0100
committer Erik Hanson2014-02-08 18:10:10 +0100
commit4d6424552be8d526f8ee94d973e411b9401a9b67 (patch)
tree0a563d3401e81713175bbac3d29012d573fdec58 /gis
parent3378af7d19b59e91ff6a781b44bc2b98247081a5 (diff)
downloadslackbuilds-4d6424552be8d526f8ee94d973e411b9401a9b67.tar.gz
gis/foxtrotgps: Moved from Misc category.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'gis')
-rw-r--r--gis/foxtrotgps/README8
-rw-r--r--gis/foxtrotgps/doinst.sh13
-rw-r--r--gis/foxtrotgps/foxtrotgps.SlackBuild103
-rw-r--r--gis/foxtrotgps/foxtrotgps.info10
-rw-r--r--gis/foxtrotgps/slack-desc19
5 files changed, 153 insertions, 0 deletions
diff --git a/gis/foxtrotgps/README b/gis/foxtrotgps/README
new file mode 100644
index 0000000000..0348ba4311
--- /dev/null
+++ b/gis/foxtrotgps/README
@@ -0,0 +1,8 @@
+FoxtrotGPS is an easy to use, fast, lightweight mapping application for
+use with (or without) GPS.
+
+FoxtrotGPS is an offshoot of Marcus Bauer's tangoGPS.
+
+gpscorrelate and jhead are optional runtime deps - if you install both,
+you will be able to geotag photos using the photos' timestamps and the
+gps track.
diff --git a/gis/foxtrotgps/doinst.sh b/gis/foxtrotgps/doinst.sh
new file mode 100644
index 0000000000..4aaadb0bbf
--- /dev/null
+++ b/gis/foxtrotgps/doinst.sh
@@ -0,0 +1,13 @@
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install apps_foxtrotgps.schemas
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/gis/foxtrotgps/foxtrotgps.SlackBuild b/gis/foxtrotgps/foxtrotgps.SlackBuild
new file mode 100644
index 0000000000..2522effba3
--- /dev/null
+++ b/gis/foxtrotgps/foxtrotgps.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for foxtrotgps
+
+# Copyright 2012 David Spencer, Baildon, West Yorkshire, U.K.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=foxtrotgps
+VERSION=${VERSION:-1.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/foxtrotgps/foxtrotgps.info b/gis/foxtrotgps/foxtrotgps.info
new file mode 100644
index 0000000000..c7a7195000
--- /dev/null
+++ b/gis/foxtrotgps/foxtrotgps.info
@@ -0,0 +1,10 @@
+PRGNAM="foxtrotgps"
+VERSION="1.1.1"
+HOMEPAGE="http://www.foxtrotgps.org/"
+DOWNLOAD="http://www.foxtrotgps.org/releases/foxtrotgps-1.1.1.tar.xz"
+MD5SUM="9c4fe0e145d44acaecea9f382cd90ce5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gpsd %README%"
+MAINTAINER="David Spencer"
+EMAIL="baildon.research@googlemail.com"
diff --git a/gis/foxtrotgps/slack-desc b/gis/foxtrotgps/slack-desc
new file mode 100644
index 0000000000..54dc05f894
--- /dev/null
+++ b/gis/foxtrotgps/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+foxtrotgps: foxtrotgps (lightweight mapping application)
+foxtrotgps:
+foxtrotgps: FoxtrotGPS is an easy to use, fast, lightweight mapping application
+foxtrotgps: for use with (or without) GPS.
+foxtrotgps:
+foxtrotgps: FoxtrotGPS is an offshoot of Marcus Bauer's tangoGPS.
+foxtrotgps:
+foxtrotgps:
+foxtrotgps:
+foxtrotgps:
+foxtrotgps: